Retrieve a schedule item
GET
/v1/scheduleitem/{id}/
const url = 'https://example.com/v1/scheduleitem/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/scheduleitem/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single schedule item by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this schedule item.
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
string format: uuid
override
boolean
schedule_from
required
string format: date-time
schedule_to
required
string format: date-time
notification_targets
Array<string>
escalation_item
required
string format: uuid
contacts_groups
Array<string>
all_targets
boolean
Examplegenerated
{ "override": true, "schedule_from": "2026-04-15T12:00:00Z", "schedule_to": "2026-04-15T12:00:00Z", "notification_targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "escalation_item": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "contacts_groups": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "all_targets": true}